CRMchat APIBeta
Telegram APIMessages

messages.reportReadMetrics

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.reportReadMetrics

Report viewport read metrics for visible messages, indicating how long each message stayed in the chat viewport, see here » for more info on the full flow.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Report viewport read metrics for visible messages, indicating how long each message stayed in the chat viewport, see here » for more info on the full flow.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.reportReadMetrics" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "metrics": [        {          "_": "inputMessageReadMetric",          "msgId": 0,          "viewId": "string",          "timeInViewMs": 0,          "activeTimeInViewMs": 0,          "heightToViewportRatioPermille": 0,          "seenRangeRatioPermille": 0        }      ]    }  }'
{  "result": true}